summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-dns/namecoind/namecoind-0.3.72.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-dns/namecoind/namecoind-0.3.72.ebuild')
-rw-r--r--net-dns/namecoind/namecoind-0.3.72.ebuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/net-dns/namecoind/namecoind-0.3.72.ebuild b/net-dns/namecoind/namecoind-0.3.72.ebuild
new file mode 100644
index 00000000000..552cf4aea74
--- /dev/null
+++ b/net-dns/namecoind/namecoind-0.3.72.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+DB_VER="4.8"
+
+inherit db-use eutils toolchain-funcs user
+
+DESCRIPTION="A P2P network based domain name system"
+HOMEPAGE="https://dot-bit.org/"
+SRC_URI="https://github.com/namecoinq/namecoinq/archive/v${PV/0/Q}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT ISC cryptopp"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ssl upnp"
+
+RDEPEND="
+ dev-libs/boost[threads(+)]
+ dev-libs/glib:2
+ dev-libs/crypto++
+ dev-libs/openssl[-bindist]
+ upnp? (
+ net-libs/miniupnpc
+ )
+ sys-libs/db:$(db_ver_to_slot "${DB_VER}")[cxx]
+"
+DEPEND="${RDEPEND}
+ >=app-shells/bash-4.1
+"
+
+S="${WORKDIR}/namecoinq-v${PV/0/Q}"
+
+pkg_setup() {
+ local UG='namecoin'
+ enewgroup "${UG}"
+ enewuser "${UG}" -1 -1 /var/lib/namecoin "${UG}"
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/namecoind-0.3.72-makefile.patch
+}
+
+src_compile() {
+ local OPTS=()
+
+ OPTS+=("CXXFLAGS=${CXXFLAGS} -I$(db_includedir "${DB_VER}")")
+ OPTS+=("LDFLAGS=${LDFLAGS} -ldb_cxx-${DB_VER}")
+
+ use ssl && OPTS+=(USE_SSL=1)
+ use upnp && OPTS+=(USE_UPNP=1)
+
+ cd src || die
+ emake CXX="$(tc-getCXX)" "${OPTS[@]}" ${PN}
+}
+
+src_install() {
+ dobin src/${PN}
+
+ insinto /etc/namecoin
+ doins "${FILESDIR}/namecoin.conf"
+ fowners namecoin:namecoin /etc/namecoin/namecoin.conf
+ fperms 600 /etc/namecoin/namecoin.conf
+
+ newconfd "${FILESDIR}/namecoin.confd" ${PN}
+ newinitd "${FILESDIR}/namecoin.initd" ${PN}
+
+ keepdir /var/lib/namecoin/.namecoin
+ fperms 700 /var/lib/namecoin
+ fowners namecoin:namecoin /var/lib/namecoin/
+ fowners namecoin:namecoin /var/lib/namecoin/.namecoin
+ dosym /etc/namecoin/namecoin.conf /var/lib/namecoin/.namecoin/bitcoin.conf
+
+ dodoc doc/README
+ dodoc DESIGN-namecoin.md FAQ.md doc/README_merged-mining.md
+}